Please merge inkscape 0.46-5 (main) from debian unstable

Bug #321079 reported by Bhavani Shankar on 2009-01-25
2
Affects Status Importance Assigned to Milestone
inkscape (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: inkscape

Debian has a new version to be merged.

inkscape (0.46-5) unstable; urgency=low

  * Fix error in bash completion file introduced in the last upload.
    Thanks to Salvatore Bonaccorso for spotting this.
  * Include patch by Thomas Viehmann, which fixes a crash with pdf import in
    some cases (Closes: #510234).
  * upload sponsored by Guido Guenther <email address hidden>

 -- Wolfram Quester <email address hidden> Tue, 30 Dec 2008 23:40:25 +0100

inkscape (0.46-4) unstable; urgency=low

  * Fix lintian warning: menu-item-uses-apps-section (Closes: #508692).
  * Add debian/watch file (Closes: #508690).
  * Add support in bash completion file for jpeg, svgz, and pdf
    (Closes: #428226).
  * Add patch to give back LaTeX formula rendering option
    (Closes: #464154, #506285).
  * Thanks Salvatore Bonaccorso for his patches :-)
  * Add patch by Martin Michlmayr <email address hidden> to make inkscape compile
    with gcc 4.4 (Closes: #505660)
  * Suggest python-uniconvertor and add patch by Andreas Wenning to use it in
    the .cdr input plugin instead of the old uniconv (Closes: #471109, #506217)$
  * Suggest libgnomevfs2-extra which is needed to make
    "Import From Open Clip Art Library" work (Closes: #496785).
  * Suggest libsvg-perl , as the txt2svg extension needs it (Closes: #504469).
  * upload sponsored by Guido Guenther <email address hidden>

 -- Wolfram Quester <email address hidden> Sun, 28 Dec 2008 17:35:10 +0100

Related branches

Bhavani Shankar (bhavi) wrote :
Changed in inkscape:
status: New → Confirmed
Bryce Harrington (bryce) wrote :

Thanks; looks good, upload sponsored.

Changed in inkscape:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package inkscape - 0.46-5ubuntu1

---------------
inkscape (0.46-5ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: LP: #321079
    - 03-gtk-includes.dpatch as a workaround of GTK includes bug
    - debian/control:
      + Add Vcs-Browser, Vcs-Svn, and Homepage (needs-to-goto-debian)
      + Set python-lxml, python-numpy, python-uniconvertor as Recommends
      + Build-Depends on automake (>= 1.10), libboost1.35-dev
      + move pstoedit from Recommends to Suggests
    - debian/rules:
      + Handle parallel builds via -j
      + Run intltool-update on build
      + Add translation domain to .desktop files

inkscape (0.46-5) unstable; urgency=low

  * Fix error in bash completion file introduced in the last upload.
    Thanks to Salvatore Bonaccorso for spotting this.
  * Include patch by Thomas Viehmann, which fixes a crash with pdf import in
    some cases (Closes: #510234).
  * upload sponsored by Guido Guenther <email address hidden>

inkscape (0.46-4) unstable; urgency=low

  * Fix lintian warning: menu-item-uses-apps-section (Closes: #508692).
  * Add debian/watch file (Closes: #508690).
  * Add support in bash completion file for jpeg, svgz, and pdf
    (Closes: #428226).
  * Add patch to give back LaTeX formula rendering option
    (Closes: #464154, #506285).
  * Thanks Salvatore Bonaccorso for his patches :-)
  * Add patch by Martin Michlmayr <email address hidden> to make inkscape compile
    with gcc 4.4 (Closes: #505660)
  * Suggest python-uniconvertor and add patch by Andreas Wenning to use it in
    the .cdr input plugin instead of the old uniconv (Closes: #471109, #506217).
  * Suggest libgnomevfs2-extra which is needed to make
    "Import From Open Clip Art Library" work (Closes: #496785).
  * Suggest libsvg-perl , as the txt2svg extension needs it (Closes: #504469).
  * upload sponsored by Guido Guenther <email address hidden>

 -- Bhavani Shankar <email address hidden> Sun, 25 Jan 2009 14:55:44 +0530

Changed in inkscape:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers